"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CreateAlgorithm_1 = require("../model/operations/CreateAlgorithm");
class CreateAlgorithmCommand {
    constructor(input) {
        this.input = input;
        this.model = CreateAlgorithm_1.CreateAlgorithm;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CreateAlgorithmCommand = CreateAlgorithmCommand;
//# sourceMappingURL=CreateAlgorithmCommand.js.map