"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CreateEndpoint_1 = require("../model/operations/CreateEndpoint");
class CreateEndpointCommand {
    constructor(input) {
        this.input = input;
        this.model = CreateEndpoint_1.CreateEndpoint;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CreateEndpointCommand = CreateEndpointCommand;
//# sourceMappingURL=CreateEndpointCommand.js.map