"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CreateHyperParameterTuningJob_1 = require("../model/operations/CreateHyperParameterTuningJob");
class CreateHyperParameterTuningJobCommand {
    constructor(input) {
        this.input = input;
        this.model = CreateHyperParameterTuningJob_1.CreateHyperParameterTuningJob;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CreateHyperParameterTuningJobCommand = CreateHyperParameterTuningJobCommand;
//# sourceMappingURL=CreateHyperParameterTuningJobCommand.js.map