"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CreateNotebookInstance_1 = require("../model/operations/CreateNotebookInstance");
class CreateNotebookInstanceCommand {
    constructor(input) {
        this.input = input;
        this.model = CreateNotebookInstance_1.CreateNotebookInstance;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CreateNotebookInstanceCommand = CreateNotebookInstanceCommand;
//# sourceMappingURL=CreateNotebookInstanceCommand.js.map