"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CreateNotebookInstanceLifecycleConfig_1 = require("../model/operations/CreateNotebookInstanceLifecycleConfig");
class CreateNotebookInstanceLifecycleConfigCommand {
    constructor(input) {
        this.input = input;
        this.model = CreateNotebookInstanceLifecycleConfig_1.CreateNotebookInstanceLifecycleConfig;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CreateNotebookInstanceLifecycleConfigCommand = CreateNotebookInstanceLifecycleConfigCommand;
//# sourceMappingURL=CreateNotebookInstanceLifecycleConfigCommand.js.map