"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CreatePresignedNotebookInstanceUrl_1 = require("../model/operations/CreatePresignedNotebookInstanceUrl");
class CreatePresignedNotebookInstanceUrlCommand {
    constructor(input) {
        this.input = input;
        this.model = CreatePresignedNotebookInstanceUrl_1.CreatePresignedNotebookInstanceUrl;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CreatePresignedNotebookInstanceUrlCommand = CreatePresignedNotebookInstanceUrlCommand;
//# sourceMappingURL=CreatePresignedNotebookInstanceUrlCommand.js.map