"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DeleteAlgorithm_1 = require("../model/operations/DeleteAlgorithm");
class DeleteAlgorithmCommand {
    constructor(input) {
        this.input = input;
        this.model = DeleteAlgorithm_1.DeleteAlgorithm;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DeleteAlgorithmCommand = DeleteAlgorithmCommand;
//# sourceMappingURL=DeleteAlgorithmCommand.js.map