"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DeleteCodeRepository_1 = require("../model/operations/DeleteCodeRepository");
class DeleteCodeRepositoryCommand {
    constructor(input) {
        this.input = input;
        this.model = DeleteCodeRepository_1.DeleteCodeRepository;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DeleteCodeRepositoryCommand = DeleteCodeRepositoryCommand;
//# sourceMappingURL=DeleteCodeRepositoryCommand.js.map