"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DeleteEndpoint_1 = require("../model/operations/DeleteEndpoint");
class DeleteEndpointCommand {
    constructor(input) {
        this.input = input;
        this.model = DeleteEndpoint_1.DeleteEndpoint;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DeleteEndpointCommand = DeleteEndpointCommand;
//# sourceMappingURL=DeleteEndpointCommand.js.map