"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DeleteModelPackage_1 = require("../model/operations/DeleteModelPackage");
class DeleteModelPackageCommand {
    constructor(input) {
        this.input = input;
        this.model = DeleteModelPackage_1.DeleteModelPackage;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DeleteModelPackageCommand = DeleteModelPackageCommand;
//# sourceMappingURL=DeleteModelPackageCommand.js.map