"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DeleteNotebookInstance_1 = require("../model/operations/DeleteNotebookInstance");
class DeleteNotebookInstanceCommand {
    constructor(input) {
        this.input = input;
        this.model = DeleteNotebookInstance_1.DeleteNotebookInstance;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DeleteNotebookInstanceCommand = DeleteNotebookInstanceCommand;
//# sourceMappingURL=DeleteNotebookInstanceCommand.js.map