"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DeleteNotebookInstanceLifecycleConfig_1 = require("../model/operations/DeleteNotebookInstanceLifecycleConfig");
class DeleteNotebookInstanceLifecycleConfigCommand {
    constructor(input) {
        this.input = input;
        this.model = DeleteNotebookInstanceLifecycleConfig_1.DeleteNotebookInstanceLifecycleConfig;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DeleteNotebookInstanceLifecycleConfigCommand = DeleteNotebookInstanceLifecycleConfigCommand;
//# sourceMappingURL=DeleteNotebookInstanceLifecycleConfigCommand.js.map