"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DeleteWorkteam_1 = require("../model/operations/DeleteWorkteam");
class DeleteWorkteamCommand {
    constructor(input) {
        this.input = input;
        this.model = DeleteWorkteam_1.DeleteWorkteam;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DeleteWorkteamCommand = DeleteWorkteamCommand;
//# sourceMappingURL=DeleteWorkteamCommand.js.map