"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DescribeCodeRepository_1 = require("../model/operations/DescribeCodeRepository");
class DescribeCodeRepositoryCommand {
    constructor(input) {
        this.input = input;
        this.model = DescribeCodeRepository_1.DescribeCodeRepository;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DescribeCodeRepositoryCommand = DescribeCodeRepositoryCommand;
//# sourceMappingURL=DescribeCodeRepositoryCommand.js.map