"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DescribeCompilationJob_1 = require("../model/operations/DescribeCompilationJob");
class DescribeCompilationJobCommand {
    constructor(input) {
        this.input = input;
        this.model = DescribeCompilationJob_1.DescribeCompilationJob;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DescribeCompilationJobCommand = DescribeCompilationJobCommand;
//# sourceMappingURL=DescribeCompilationJobCommand.js.map