"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DescribeEndpoint_1 = require("../model/operations/DescribeEndpoint");
class DescribeEndpointCommand {
    constructor(input) {
        this.input = input;
        this.model = DescribeEndpoint_1.DescribeEndpoint;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DescribeEndpointCommand = DescribeEndpointCommand;
//# sourceMappingURL=DescribeEndpointCommand.js.map