"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DescribeEndpointConfig_1 = require("../model/operations/DescribeEndpointConfig");
class DescribeEndpointConfigCommand {
    constructor(input) {
        this.input = input;
        this.model = DescribeEndpointConfig_1.DescribeEndpointConfig;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DescribeEndpointConfigCommand = DescribeEndpointConfigCommand;
//# sourceMappingURL=DescribeEndpointConfigCommand.js.map