"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DescribeModel_1 = require("../model/operations/DescribeModel");
class DescribeModelCommand {
    constructor(input) {
        this.input = input;
        this.model = DescribeModel_1.DescribeModel;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DescribeModelCommand = DescribeModelCommand;
//# sourceMappingURL=DescribeModelCommand.js.map