"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DescribeModelPackage_1 = require("../model/operations/DescribeModelPackage");
class DescribeModelPackageCommand {
    constructor(input) {
        this.input = input;
        this.model = DescribeModelPackage_1.DescribeModelPackage;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DescribeModelPackageCommand = DescribeModelPackageCommand;
//# sourceMappingURL=DescribeModelPackageCommand.js.map