"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetSearchSuggestions_1 = require("../model/operations/GetSearchSuggestions");
class GetSearchSuggestionsCommand {
    constructor(input) {
        this.input = input;
        this.model = GetSearchSuggestions_1.GetSearchSuggestions;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetSearchSuggestionsCommand = GetSearchSuggestionsCommand;
//# sourceMappingURL=GetSearchSuggestionsCommand.js.map