"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const ListCodeRepositories_1 = require("../model/operations/ListCodeRepositories");
class ListCodeRepositoriesCommand {
    constructor(input) {
        this.input = input;
        this.model = ListCodeRepositories_1.ListCodeRepositories;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.ListCodeRepositoriesCommand = ListCodeRepositoriesCommand;
//# sourceMappingURL=ListCodeRepositoriesCommand.js.map