"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const ListCompilationJobs_1 = require("../model/operations/ListCompilationJobs");
class ListCompilationJobsCommand {
    constructor(input) {
        this.input = input;
        this.model = ListCompilationJobs_1.ListCompilationJobs;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.ListCompilationJobsCommand = ListCompilationJobsCommand;
//# sourceMappingURL=ListCompilationJobsCommand.js.map