"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const ListHyperParameterTuningJobs_1 = require("../model/operations/ListHyperParameterTuningJobs");
class ListHyperParameterTuningJobsCommand {
    constructor(input) {
        this.input = input;
        this.model = ListHyperParameterTuningJobs_1.ListHyperParameterTuningJobs;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.ListHyperParameterTuningJobsCommand = ListHyperParameterTuningJobsCommand;
//# sourceMappingURL=ListHyperParameterTuningJobsCommand.js.map