"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const ListLabelingJobs_1 = require("../model/operations/ListLabelingJobs");
class ListLabelingJobsCommand {
    constructor(input) {
        this.input = input;
        this.model = ListLabelingJobs_1.ListLabelingJobs;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.ListLabelingJobsCommand = ListLabelingJobsCommand;
//# sourceMappingURL=ListLabelingJobsCommand.js.map