"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const ListModels_1 = require("../model/operations/ListModels");
class ListModelsCommand {
    constructor(input) {
        this.input = input;
        this.model = ListModels_1.ListModels;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.ListModelsCommand = ListModelsCommand;
//# sourceMappingURL=ListModelsCommand.js.map