"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const StopCompilationJob_1 = require("../model/operations/StopCompilationJob");
class StopCompilationJobCommand {
    constructor(input) {
        this.input = input;
        this.model = StopCompilationJob_1.StopCompilationJob;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.StopCompilationJobCommand = StopCompilationJobCommand;
//# sourceMappingURL=StopCompilationJobCommand.js.map