"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const StopHyperParameterTuningJob_1 = require("../model/operations/StopHyperParameterTuningJob");
class StopHyperParameterTuningJobCommand {
    constructor(input) {
        this.input = input;
        this.model = StopHyperParameterTuningJob_1.StopHyperParameterTuningJob;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.StopHyperParameterTuningJobCommand = StopHyperParameterTuningJobCommand;
//# sourceMappingURL=StopHyperParameterTuningJobCommand.js.map