"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const StopNotebookInstance_1 = require("../model/operations/StopNotebookInstance");
class StopNotebookInstanceCommand {
    constructor(input) {
        this.input = input;
        this.model = StopNotebookInstance_1.StopNotebookInstance;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.StopNotebookInstanceCommand = StopNotebookInstanceCommand;
//# sourceMappingURL=StopNotebookInstanceCommand.js.map