"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const StopTransformJob_1 = require("../model/operations/StopTransformJob");
class StopTransformJobCommand {
    constructor(input) {
        this.input = input;
        this.model = StopTransformJob_1.StopTransformJob;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.StopTransformJobCommand = StopTransformJobCommand;
//# sourceMappingURL=StopTransformJobCommand.js.map