"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const UpdateEndpoint_1 = require("../model/operations/UpdateEndpoint");
class UpdateEndpointCommand {
    constructor(input) {
        this.input = input;
        this.model = UpdateEndpoint_1.UpdateEndpoint;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.UpdateEndpointCommand = UpdateEndpointCommand;
//# sourceMappingURL=UpdateEndpointCommand.js.map