"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _HyperParameterTuningJobConfig_1 = require("./_HyperParameterTuningJobConfig");
const _HyperParameterTrainingJobDefinition_1 = require("./_HyperParameterTrainingJobDefinition");
const _TrainingJobStatusCounters_1 = require("./_TrainingJobStatusCounters");
const _ObjectiveStatusCounters_1 = require("./_ObjectiveStatusCounters");
const _HyperParameterTrainingJobSummary_1 = require("./_HyperParameterTrainingJobSummary");
const _HyperParameterTuningJobWarmStartConfig_1 = require("./_HyperParameterTuningJobWarmStartConfig");
exports.DescribeHyperParameterTuningJobOutput = {
    type: "structure",
    required: [
        "HyperParameterTuningJobName",
        "HyperParameterTuningJobArn",
        "HyperParameterTuningJobConfig",
        "HyperParameterTuningJobStatus",
        "CreationTime",
        "TrainingJobStatusCounters",
        "ObjectiveStatusCounters"
    ],
    members: {
        HyperParameterTuningJobName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        HyperParameterTuningJobArn: {
            shape: {
                type: "string"
            }
        },
        HyperParameterTuningJobConfig: {
            shape: _HyperParameterTuningJobConfig_1._HyperParameterTuningJobConfig
        },
        TrainingJobDefinition: {
            shape: _HyperParameterTrainingJobDefinition_1._HyperParameterTrainingJobDefinition
        },
        HyperParameterTuningJobStatus: {
            shape: {
                type: "string"
            }
        },
        CreationTime: {
            shape: {
                type: "timestamp"
            }
        },
        HyperParameterTuningEndTime: {
            shape: {
                type: "timestamp"
            }
        },
        LastModifiedTime: {
            shape: {
                type: "timestamp"
            }
        },
        TrainingJobStatusCounters: {
            shape: _TrainingJobStatusCounters_1._TrainingJobStatusCounters
        },
        ObjectiveStatusCounters: {
            shape: _ObjectiveStatusCounters_1._ObjectiveStatusCounters
        },
        BestTrainingJob: {
            shape: _HyperParameterTrainingJobSummary_1._HyperParameterTrainingJobSummary
        },
        OverallBestTrainingJob: {
            shape: _HyperParameterTrainingJobSummary_1._HyperParameterTrainingJobSummary
        },
        WarmStartConfig: {
            shape: _HyperParameterTuningJobWarmStartConfig_1._HyperParameterTuningJobWarmStartConfig
        },
        FailureReason: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=DescribeHyperParameterTuningJobOutput.js.map