"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _LabelCounters_1 = require("./_LabelCounters");
const _LabelingJobInputConfig_1 = require("./_LabelingJobInputConfig");
const _LabelingJobOutputConfig_1 = require("./_LabelingJobOutputConfig");
const _LabelingJobStoppingConditions_1 = require("./_LabelingJobStoppingConditions");
const _LabelingJobAlgorithmsConfig_1 = require("./_LabelingJobAlgorithmsConfig");
const _HumanTaskConfig_1 = require("./_HumanTaskConfig");
const _TagList_1 = require("./_TagList");
const _LabelingJobOutput_1 = require("./_LabelingJobOutput");
exports.DescribeLabelingJobOutput = {
    type: "structure",
    required: [
        "LabelingJobStatus",
        "LabelCounters",
        "CreationTime",
        "LastModifiedTime",
        "JobReferenceCode",
        "LabelingJobName",
        "LabelingJobArn",
        "InputConfig",
        "OutputConfig",
        "RoleArn",
        "HumanTaskConfig"
    ],
    members: {
        LabelingJobStatus: {
            shape: {
                type: "string"
            }
        },
        LabelCounters: {
            shape: _LabelCounters_1._LabelCounters
        },
        FailureReason: {
            shape: {
                type: "string"
            }
        },
        CreationTime: {
            shape: {
                type: "timestamp"
            }
        },
        LastModifiedTime: {
            shape: {
                type: "timestamp"
            }
        },
        JobReferenceCode: {
            shape: {
                type: "string",
                min: 1
            }
        },
        LabelingJobName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        LabelingJobArn: {
            shape: {
                type: "string"
            }
        },
        LabelAttributeName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        InputConfig: {
            shape: _LabelingJobInputConfig_1._LabelingJobInputConfig
        },
        OutputConfig: {
            shape: _LabelingJobOutputConfig_1._LabelingJobOutputConfig
        },
        RoleArn: {
            shape: {
                type: "string",
                min: 20
            }
        },
        LabelCategoryConfigS3Uri: {
            shape: {
                type: "string"
            }
        },
        StoppingConditions: {
            shape: _LabelingJobStoppingConditions_1._LabelingJobStoppingConditions
        },
        LabelingJobAlgorithmsConfig: {
            shape: _LabelingJobAlgorithmsConfig_1._LabelingJobAlgorithmsConfig
        },
        HumanTaskConfig: {
            shape: _HumanTaskConfig_1._HumanTaskConfig
        },
        Tags: {
            shape: _TagList_1._TagList
        },
        LabelingJobOutput: {
            shape: _LabelingJobOutput_1._LabelingJobOutput
        }
    }
};
//# sourceMappingURL=DescribeLabelingJobOutput.js.map