"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _HyperParameters_1 = require("./_HyperParameters");
const _HyperParameterAlgorithmSpecification_1 = require("./_HyperParameterAlgorithmSpecification");
const _InputDataConfig_1 = require("./_InputDataConfig");
const _VpcConfig_1 = require("./_VpcConfig");
const _OutputDataConfig_1 = require("./_OutputDataConfig");
const _ResourceConfig_1 = require("./_ResourceConfig");
const _StoppingCondition_1 = require("./_StoppingCondition");
exports._HyperParameterTrainingJobDefinition = {
    type: "structure",
    required: [
        "AlgorithmSpecification",
        "RoleArn",
        "OutputDataConfig",
        "ResourceConfig",
        "StoppingCondition"
    ],
    members: {
        StaticHyperParameters: {
            shape: _HyperParameters_1._HyperParameters
        },
        AlgorithmSpecification: {
            shape: _HyperParameterAlgorithmSpecification_1._HyperParameterAlgorithmSpecification
        },
        RoleArn: {
            shape: {
                type: "string",
                min: 20
            }
        },
        InputDataConfig: {
            shape: _InputDataConfig_1._InputDataConfig
        },
        VpcConfig: {
            shape: _VpcConfig_1._VpcConfig
        },
        OutputDataConfig: {
            shape: _OutputDataConfig_1._OutputDataConfig
        },
        ResourceConfig: {
            shape: _ResourceConfig_1._ResourceConfig
        },
        StoppingCondition: {
            shape: _StoppingCondition_1._StoppingCondition
        },
        EnableNetworkIsolation: {
            shape: {
                type: "boolean"
            }
        },
        EnableInterContainerTrafficEncryption: {
            shape: {
                type: "boolean"
            }
        }
    }
};
//# sourceMappingURL=_HyperParameterTrainingJobDefinition.js.map