"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _ModelArtifacts_1 = require("./_ModelArtifacts");
const _HyperParameters_1 = require("./_HyperParameters");
const _AlgorithmSpecification_1 = require("./_AlgorithmSpecification");
const _InputDataConfig_1 = require("./_InputDataConfig");
const _OutputDataConfig_1 = require("./_OutputDataConfig");
const _ResourceConfig_1 = require("./_ResourceConfig");
const _VpcConfig_1 = require("./_VpcConfig");
const _StoppingCondition_1 = require("./_StoppingCondition");
const _SecondaryStatusTransitions_1 = require("./_SecondaryStatusTransitions");
const _FinalMetricDataList_1 = require("./_FinalMetricDataList");
const _TagList_1 = require("./_TagList");
exports._TrainingJob = {
    type: "structure",
    required: [],
    members: {
        TrainingJobName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        TrainingJobArn: {
            shape: {
                type: "string"
            }
        },
        TuningJobArn: {
            shape: {
                type: "string"
            }
        },
        LabelingJobArn: {
            shape: {
                type: "string"
            }
        },
        ModelArtifacts: {
            shape: _ModelArtifacts_1._ModelArtifacts
        },
        TrainingJobStatus: {
            shape: {
                type: "string"
            }
        },
        SecondaryStatus: {
            shape: {
                type: "string"
            }
        },
        FailureReason: {
            shape: {
                type: "string"
            }
        },
        HyperParameters: {
            shape: _HyperParameters_1._HyperParameters
        },
        AlgorithmSpecification: {
            shape: _AlgorithmSpecification_1._AlgorithmSpecification
        },
        RoleArn: {
            shape: {
                type: "string",
                min: 20
            }
        },
        InputDataConfig: {
            shape: _InputDataConfig_1._InputDataConfig
        },
        OutputDataConfig: {
            shape: _OutputDataConfig_1._OutputDataConfig
        },
        ResourceConfig: {
            shape: _ResourceConfig_1._ResourceConfig
        },
        VpcConfig: {
            shape: _VpcConfig_1._VpcConfig
        },
        StoppingCondition: {
            shape: _StoppingCondition_1._StoppingCondition
        },
        CreationTime: {
            shape: {
                type: "timestamp"
            }
        },
        TrainingStartTime: {
            shape: {
                type: "timestamp"
            }
        },
        TrainingEndTime: {
            shape: {
                type: "timestamp"
            }
        },
        LastModifiedTime: {
            shape: {
                type: "timestamp"
            }
        },
        SecondaryStatusTransitions: {
            shape: _SecondaryStatusTransitions_1._SecondaryStatusTransitions
        },
        FinalMetricDataList: {
            shape: _FinalMetricDataList_1._FinalMetricDataList
        },
        EnableNetworkIsolation: {
            shape: {
                type: "boolean"
            }
        },
        EnableInterContainerTrafficEncryption: {
            shape: {
                type: "boolean"
            }
        },
        Tags: {
            shape: _TagList_1._TagList
        }
    }
};
//# sourceMappingURL=_TrainingJob.js.map